#include <bits/stdc++.h>

using namespace std;

int main()
{
    int n;
    cin >> n;
    int a[n];
    for(int i = 0; i < n; ++i) cin >> a[i];
    int k;
    cin >> k;
    for(int i = 0; i < k; ++i)
    {
        int l, r;
        cin >> l >> r;
        --l; --r;
        bool uradio = false;
        bool netacan = false;
        if(l == r)
        {
            cout << "DA";
            netacan = true;
        }
        else
        for(int j = l; j < r; ++j)
        {
            if(uradio)
            {
                if((j + 1 <= r && a[j] > a[j + 1]) || (j - 1 >= l && a[j] < a[j - 1]))
                {
                    cout << "NE\n";
                    netacan = true;
                    break;
                }
            }
            if(j == l && a[j + 1] < a[j])
            {
                uradio = true;
                a[j] = 0;
            }
            else if (j - 1 >= l && a[j] < a[j - 1])
            {
                uradio = true;
                if(j - 1 >= l && j + 1 <= r && a[j + 1] < a[j - 1])
                {
                    cout << "NE\n";
                    netacan = true;
                    break;
                }
            }
        }
        if(!netacan) cout << "DA\n";
    }

    return 0;
}